﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace ConsoleApplication1
{
  class Program
  {
    static void Main(string[] args)
    {
      Console.WriteLine("Begin");
      ServiceReference1.DelenServiceClient client = new ServiceReference1.DelenServiceClient();
      try
      {
        int resultaat = client.Delen(1, 0);
      }
      catch (FaultException<ServiceReference1.DelenFault> fe)
      {
          Console.WriteLine("Specifieke foutmelding");
        Console.WriteLine(fe.Detail.Bericht);
      }
      catch (FaultException fe)
      {
          Console.WriteLine("Algemene foutmelding");
        Console.WriteLine(fe.Message);
      }
      finally
      {
        if (client.State != CommunicationState.Faulted)
        {
          client.Close();
          Console.WriteLine("Client afgesloten");
        }
        else
        {
          client.Abort();
          Console.WriteLine("Client aborted");
        }
      }
      Console.WriteLine("Einde");
    }
  }
}
